List Project user data
curl --request GET \
--url https://api.latitude.sh/projects/{project_id}/user_data \
--header 'Authorization: <api-key>'import requests
url = "https://api.latitude.sh/projects/{project_id}/user_data"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.latitude.sh/projects/{project_id}/user_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ud_AW6Q2D9lqKLpr",
"type": "user_data",
"attributes": {
"description": "Three eggs with cilantro, tomatoes, onions, avocados and melted Emmental cheese. With a side of roasted potatoes, and your choice of toast or croissant.",
"content": "QnJlYWRlZCBmcmllZCBjaGlja2VuIHdpdGggd2FmZmxlcywgYW5kIGEgc2lkZSBvZiBtYXBsZSBzeXJ1cC4=",
"created_at": "2026-01-14T15:56:43+00:00",
"updated_at": "2026-01-14T15:56:43+00:00",
"decoded_content": "Breaded fried chicken with waffles, and a side of maple syrup.",
"project": {
"id": "proj_LYV8DZYQq5QoE",
"name": "Sleek Cotton Bottle",
"slug": "sleek-cotton-bottle",
"description": "Intelligent Aluminum Watch",
"provisioning_type": "on_demand",
"billing_type": "Normal",
"billing_method": "Normal",
"bandwidth_alert": false,
"environment": null,
"billing": {},
"stats": {
"databases": 0,
"ip_addresses": 0,
"prefixes": 0,
"servers": 0,
"storages": 0,
"virtual_machines": 0,
"vlans": 0
}
}
}
}
],
"meta": {}
}User data
List Project user data
deprecated
List all Users Data in the project. These scripts can be used to configure servers with user data.
GET
/
projects
/
{project_id}
/
user_data
List Project user data
Authorizations
Path Parameters
Project ID or Slug
Query Parameters
The decoded_content is provided as an extra attribute that shows content in decoded form.
Was this page helpful?
⌘I